package eu.jonahbauer.wizard.common.messages.server;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import org.intellij.lang.annotations.MagicConstant;

@Getter
@EqualsAndHashCode(callSuper = true)
public final class NackMessage extends ServerMessage implements Response {
    public static final int BAD_REQUEST = 400;
    public static final int NOT_FOUND = 404;

    private final int code;
    private final String message;

    public NackMessage(@MagicConstant(valuesFromClass = NackMessage.class) int code, String message) {
        this.code = code;
        this.message = message;
    }
}
